=== Work/000-Ex/Makefile ===
# This makefile only performs the function of un-installing any
# potentials that may have been installed by running the sample
# makefiles in 'make install' mode.
#
# To run it, type
#
#   make clean

# This should be root directory of the uspp-734 package:
ROOT= ../..

POT=  ${ROOT}/Pot

default:

clean:
	rm ${ROOT}/Pot/000*
