=== debian/control ===
Source: abinit
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               gfortran,
               liblapack-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/openbabel/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/openbabel/
Homepage: http://www.abinit.org/

Package: abinit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: abinit-doc
Description: package for electronic structure calculations
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains all programs needed to perform calculations. For
 documentation and tests, install the abinit-doc package.

Package: abinit-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: documentation for abinit package for electronic structure calculations
 ABINIT is a package whose main program allows one to find the total energy,
 charge density and electronic structure of systems made of electrons and
 nuclei (molecules and periodic solids) within Density Functional Theory (DFT),
 using pseudopotentials and a planewave basis. 
 .
 ABINIT also includes options to optimize the geometry according to the DFT
 forces and stresses, or to perform molecular dynamics simulations using these
 forces, or to generate dynamical matrices, Born effective charges, and
 dielectric tensors. Excited states can be computed within the Time-Dependent
 Density Functional Theory (for molecules), or within Many-Body Perturbation
 Theory (the GW approximation). In addition to the main ABINIT code, different
 utility programs are provided.
 .
 This package contains documentation and tests.
