=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-linalg-ldflags="-lblas -llapack"

override_dh_install:
	dh_install
	mv debian/abinit/usr/bin/newsp debian/abinit/usr/bin/newsp.abinit


orig-tarball:
	mkdir tmp; \
	cd tmp; \
	wget ftp://ftp.abinit.org/pub/abinitio/ABINIT_v5.3.4/abinit-5.3.4.tar.gz; \
	tar xzf abinit-5.3.4.tar.gz; \
	cd abinit-5.3.4; \
	rm doc/users/AbinitBandStructureMaker_manual.pdf doc/users/questionscheme.pdf doc/users/elphon_manual.ps doc/theory/vanderbilt-anaddb-notes.pdf doc/theory/elasticity-oganov.pdf doc/theory/Figure.png doc/theory/Figure.eps doc/theory/gwa.pdf doc/developers/strain_nonlocal/strainpert.pdf; \
	rm lib/bigdft/bigdft-0.9.tar; \
	rm lib/etsf_io/etsf_io-0.7.tar; \
	rm lib/etsf_xc/etsf_xc-0.9.tar; \
	rm lib/linalg/lapack-pre_abinit_3.2.tar; \
	rm lib/netcdf/netcdf-3.6.2.tar; \
	rm lib/xmlf90/xmlf90-1.2g.tar; \
	cd .. ; \
	tar czf ../abinit_5.3.4.dfsg.orig.tar.gz abinit-5.3.4; \
	cd ..; rm -rf tmp
