=== debian/watch ===
version=3
opts=dversionmangle=s/[.+]dfsg.*//g \
 http://www.abinit.org/downloads/source-packages/abinit-1 .*/abinit-([\d.]+)\.tar\.gz
